Package org.eclipse.draw2d

# Class ToolTipHelper

java.lang.Object
org.eclipse.draw2d.PopUpHelper
org.eclipse.draw2d.ToolTipHelper

public class ToolTipHelper extends PopUpHelper
This class is used by SWTEventDispatcher as support to display Figure tooltips on a mouse hover event. Tooltips are drawn directly below the cursor unless the display does not allow, in which case the tooltip will be drawn directly above the cursor. Tooltips will be displayed with a LineBorder. The background of the tooltips will be the standard SWT tooltipBackground color unless the Figure's tooltip has set its own background.

## Field Summary

### Fields inherited from class org.eclipse.draw2d.PopUpHelper

`control, shellStyle`

## Constructor Summary

Constructors
Constructor
Description
`ToolTipHelper(Control c)`
Constructs a ToolTipHelper to be associated with Control c.

## Method Summary

Modifier and Type
Method
Description
`void`
`displayToolTipNear(IFigure hoverSource, IFigure tip, int eventX, int eventY)`
Sets the LightWeightSystem's contents to the passed tooltip, and displays the tip.
`void`
`dispose()`
Disposes of the tooltip's shell and kills the timer.
`protected void`
`hide()`
Hides this PopUpHelper's Shell.
`protected void`
`hookShellListeners()`
Desired popup helper behavior is achieved by writing listeners that manipulate the behavior of the PopUpHelper's Shell.
`static void`
`setDefaultHideDelay(int defaultHideDelay)`
Sets the default tooltip hide delay, which is the number in ms after which the tooltip will disappear again if not overwritten using `setHideDelay(int)`.
`void`
`setHideDelay(int hideDelay)`
Sets the tooltip hide delay, which is the amount in ms, after which the tooltip will disappear again.
`void`
`updateToolTip(IFigure figureUnderMouse, IFigure tip, int eventX, int eventY)`
Displays the hover source's tooltip if a tooltip of another source is currently being displayed.

### Methods inherited from class org.eclipse.draw2d.PopUpHelper

`createLightweightSystem, createShell, getLightweightSystem, getShell, getShellTrimSize, isShowing, setBackgroundColor, setForegroundColor, setShellBounds, show`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToolTipHelper

public ToolTipHelper(Control c)
Constructs a ToolTipHelper to be associated with Control c.

Parameters:
  `c` - the control
Since:
  2.0

## Method Details

### setHideDelay

public void setHideDelay(int hideDelay)
Sets the tooltip hide delay, which is the amount in ms, after which the tooltip will disappear again.

Parameters:
  `hideDelay` - The delay after which the tooltip is hidden again, in ms.
Since:
  3.10

### setDefaultHideDelay

public static void setDefaultHideDelay(int defaultHideDelay)
Sets the default tooltip hide delay, which is the number in ms after which the tooltip will disappear again if not overwritten using `setHideDelay(int)`.

Parameters:
  `defaultHideDelay` - the delay in ms after which the tooltip is hidden
Since:
  3.15

### displayToolTipNear

public void displayToolTipNear(IFigure hoverSource, IFigure tip, int eventX, int eventY)
Sets the LightWeightSystem's contents to the passed tooltip, and displays the tip. The tip will be displayed only if the tip source is different than the previously viewed tip source. (i.e. The cursor has moved off of the previous tooltip source figure.)

The tooltip will be painted directly below the cursor if possible, otherwise it will be painted directly above cursor.

Parameters:
  `hoverSource` - the figure over which the hover event was fired
  `tip` - the tooltip to be displayed
  `eventX` - the x coordinate of the hover event
  `eventY` - the y coordinate of the hover event
Since:
  2.0

### dispose

public void dispose()
Disposes of the tooltip's shell and kills the timer.

Overrides:
  `dispose` in class `PopUpHelper`
See Also:
  - `PopUpHelper.dispose()`

### hide

protected void hide()
Description copied from class: `PopUpHelper`
Hides this PopUpHelper's Shell.

Overrides:
  `hide` in class `PopUpHelper`

### hookShellListeners

protected void hookShellListeners()
Description copied from class: `PopUpHelper`
Desired popup helper behavior is achieved by writing listeners that manipulate the behavior of the PopUpHelper's Shell. Override this method and add these listeners here.

Specified by:
  `hookShellListeners` in class `PopUpHelper`
See Also:
  - `PopUpHelper.hookShellListeners()`

### updateToolTip

public void updateToolTip(IFigure figureUnderMouse, IFigure tip, int eventX, int eventY)
Displays the hover source's tooltip if a tooltip of another source is currently being displayed.

Parameters:
  `figureUnderMouse` - the figure over which the cursor was when called
  `tip` - the tooltip to be displayed
  `eventX` - the x coordinate of the cursor
  `eventY` - the y coordinate of the cursor
Since:
  2.0